Bug 463457 - [LTC 6.0 FEAT] 200336:Qlogic driver update for OF boot and FCODE update
[LTC 6.0 FEAT] 200336:Qlogic driver update for OF boot and FCODE update
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
6.0
ppc64 All
medium Severity high
: alpha
: 6.0
Assigned To: Tom Coughlan
Storage QE
: FutureFeature, OtherQA
Depends On:
Blocks: 356741 554559
  Show dependency treegraph
 
Reported: 2008-09-23 11:21 EDT by IBM Bug Proxy
Modified: 2010-11-10 15:46 EST (History)
5 users (show)

See Also:
Fixed In Version: kernel-2.6.32-14.el6
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-10 15:46:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description IBM Bug Proxy 2008-09-23 11:21:27 EDT
=Comment: #0=================================================
Emily J. Ratliff <emilyr@us.ibm.com> - 2008-09-16 17:35 EDT
1. Feature Overview:
Feature Id:	[200336]
a. Name of Feature:	Qlogic driver update for OF boot and FCODE update
b. Feature Description
Pick up the latest driver update. Specific support in this update is OF boot and FCODE flash update.
  Current Qla2xxx driver verion 8.01.xx supports an kernel interface capable of loading device
firmware from the filesystem. The specific API function is request_firmware. For RHEL5, Red Hat has
elected to not support this feature, instead Red Hat has built the firmware into the driver, which
is actually a regression from the previous method which utilized a separate firmware driver module.
This method is currently used by Red Hat for the IPR driver. Red Hat has provided no response as to
why they elected to not support the request_firmware interface, they have however deferred the issue
to RHEL6.

2. Feature Details:
Sponsor:	LTC
Architectures:
ppc64

Arch Specificity: Purely Common Code
Affects Kernel Modules: Yes
Delivery Mechanism: Backport
Category:	Device Drivers and IO
Request Type:	Driver - Update Version
d. Upstream Acceptance:	Accepted
Sponsor Priority	1
f. Severity: High
IBM Confidential:	no
Code Contribution:	3rd party code
g. Component Version Target:	8.00.00

3. Business Case
This requirement has both serviceability and new adapter implications. First, FCODE flash update
allows JSXX blades to support flash updates for fibre boot from all QLogic daughter cards from
supported on JS20. Second, this device driver level is required to support a new 4Gb Fibre-channel
daughter card on JS20.

4. Primary contact at Red Hat: 
John Jarvis
jjarvis@redhat.com

5. Primary contacts at Partner:
Project Management Contact:
Stephanie Glass, sglass@us.ibm.com, 512-838-9284

Technical contact(s):
Daisy Chang, daisyc@us.ibm.com
Richard Lary, rlary@us.ibm.com

IBM Manager:
Wendel Voigt, wvoigt@us.ibm.com
Comment 1 Bill Nottingham 2008-10-02 13:50:30 EDT
This feature exists in current Fedora releases.

The feature requested has already been accepted into the upstream code base
planned for the next major release of Red Hat Enterprise Linux.

When the next milestone release of Red Hat Enterprise Linux 6 is available,
please verify that the feature requested is present and functioning as
desired.
Comment 3 IBM Bug Proxy 2010-05-03 19:01:16 EDT
------- Comment From rlary@us.ibm.com 2010-05-03 18:57 EDT-------
Verified qla2xxx driver version 8.03.01.04.06.0-k8 as provided in RHEL6-snap1 supports Request Firmware API and also includes firmware RPMs:
ql2200-firmware-2.02.08-3.1.el6.noarch
ql23xx-firmware-3.03.27-3.1.el6.noarch
ql2400-firmware-5.03.02-1.el6.noarch
ql2500-firmware-5.03.02-2.el6.noarch
ql2100-firmware-1.19.38-3.1.el6.noarch
Comment 4 releng-rhel@redhat.com 2010-11-10 15:46:35 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.